glab(1)

NAME
glab-milestone-get - Get a milestone by ID in a project or group.

SYNOPSIS
glab milestone get [] [flags]

DESCRIPTION
Get information about a single milestone in a project or group, identified by its numeric ID. Use --output json to format the result as JSON for use with other tools.

By default, the milestone is looked up in the current project. Use --project to target a different project, or --group to look up a group-level milestone. --project and --group are mutually exclusive.

OPTIONS
--group=""
    The ID or URL-encoded path of the group.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

--project=""
    The ID or URL-encoded path of the project.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Get a milestone from the current project
    glab milestone get 123
    # Get a milestone from a different project
    glab milestone get 123 --project owner/project
    # Get a group milestone
    glab milestone get 123 --group example-group
    # Get a milestone as JSON
    glab milestone get 123 --output json

SEE ALSO
glab-milestone(1)